Summary: Bluetooth SDP libraries and utilities
Name: bluez-sdp
Version: 1.5
Release: 1
Copyright: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://bluez.sourceforge.net/
Requires: glibc >= 2.2.4
Requires: bluez-libs >= 2.0
BuildRequires: glibc-devel >= 2.2.4
BuildRequires: bluez-libs-devel >= 2.0
ExcludeArch: s390 s390x

%description
Bluetooth Service Discovery Protocol libraries and utilities.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package devel
Summary: Development headers and libraries for Bluetooth SDP
Group: Development/Libraries
Requires: bluez-sdp = %{version}

%description devel
bluez-sdp-devel contains development libraries and headers for
use of the Service Discovery Protocol in Bluetooth applications.

%prep

%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_libdir}/libsdp.so.*
%{_bindir}/sdptool
%{_sbindir}/sdpd

%files devel
%defattr(-, root, root)
%{_includedir}/bluetooth/sdp.h
%{_includedir}/bluetooth/sdp_lib.h
%{_libdir}/libsdp.so
%{_libdir}/libsdp.a

%changelog
* Sun Sep 28 2003 David Woodhouse <dwmw2@redhat.com> 1.5-1
- Update to v1.5.

* Sun Aug 24 2003 David Woodhouse <dwmw2@redhat.com> 1.4-1
- Update to v1.4.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig to post/postun

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com>
- Initial build
